resolve-cwd

> Resolve the path of a module like `require.resolve()` but from the current working directory

# Install

$ npm install --save resolve-cwd

# Usage

const resolveCwd = require('resolve-cwd');
console.log(__dirname);
//=> '/Users/sindresorhus/rainbow'
console.log(process.cwd());
//=> '/Users/sindresorhus/unicorn'
resolveCwd('./foo');
//=> '/Users/sindresorhus/unicorn/foo.js'

# API

## resolveCwd(moduleId)

Like `require()`, throws when the module can't be found.

## resolveCwd.silent(moduleId)

Returns `null` instead of throwing when the module can't be found.

### moduleId

Type: `string`

What you would use in `require()`.

# Related

- resolve-from - Resolve the path of a module from a given path
- req-from - Require a module from a given path
- req-cwd - Require a module from the current working directory
- resolve-pkg - Resolve the path of a package regardless of it having an entry point
- lazy-req - Require modules lazily

# License

MIT © Sindre Sorhus